pcl::FileGrabber< PointT > Class Template Referenceabstract
Module io

FileGrabber provides a container-style interface for grabbers which operate on fixed-size input. More...

`#include <pcl/io/file_grabber.h>`

Inheritance diagram for pcl::FileGrabber< PointT >:

## Public Member Functions

virtual | ~FileGrabber ()
| Empty destructor. More...
virtual const boost::shared_ptr< const pcl::PointCloud< PointT > > | operator[] (size_t idx) const =0
| operator[] Returns the idx-th cloud in the dataset, without bounds checking. More...
virtual size_t | size () const =0
| size Returns the number of clouds currently loaded by the grabber More...
virtual const boost::shared_ptr< const pcl::PointCloud< PointT > > | at (size_t idx) const
| at Returns the idx-th cloud in the dataset, with bounds checking More...

## Detailed Description

### template<typename PointT>
class pcl::FileGrabber< PointT >

FileGrabber provides a container-style interface for grabbers which operate on fixed-size input.

Author
  Stephen Miller

Definition at line 55 of file file_grabber.h.

## Constructor & Destructor Documentation

template<typename PointT >

virtual pcl::FileGrabber< PointT >::~FileGrabber | ( |  | ) |

inline virtual

Empty destructor.

Definition at line 60 of file file_grabber.h.

## Member Function Documentation

template<typename PointT >

virtual const boost::shared_ptr< const pcl::PointCloud<PointT> > pcl::FileGrabber< PointT >::at | ( | size_t | idx | ) | const

inline virtual

at Returns the idx-th cloud in the dataset, with bounds checking

Parameters

  [in] | idx | The frame to load

Definition at line 77 of file file_grabber.h.

template<typename PointT >

virtual const boost::shared_ptr< const pcl::PointCloud<PointT> > pcl::FileGrabber< PointT >::operator[] | ( | size_t | idx | ) | const

pure virtual

operator[] Returns the idx-th cloud in the dataset, without bounds checking.

Note that in the future, this could easily be modified to do caching

Parameters

  [in] | idx | The frame to load

Implemented in pcl::ImageGrabber< PointT >, and pcl::PCDGrabber< PointT >.

template<typename PointT >

virtual size_t pcl::FileGrabber< PointT >::size | ( |  | ) | const

pure virtual

size Returns the number of clouds currently loaded by the grabber

Implemented in pcl::ImageGrabber< PointT >, and pcl::PCDGrabber< PointT >.

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/io/include/pcl/io/file_grabber.h